Subject: Re: [PATCH net-next 3/5] ipv6: Stop /128 route from disappearing after pmtu update

From: Hajime Tazaki <[email-masked]>
Date: Mon, 04 May 2015 10:11:37 +0900

Hi Martin,

At Sun, 3 May 2015 17:29:38 -0700,
Martin KaFai Lau wrote:

> On Sun, May 03, 2015 at 12:01:09PM -0700, Martin KaFai Lau wrote:
> > Thanks for the details and confirming the last patch.  I think I may
> > know what could be wrong.  I am going to confirm it first by trying
> > to reproduce it.
> I tried the sit and also the gre6 tunnel.  I cannot make it break as
> the way you have observed.  The ping can still go through.  I am probably
> missing something.
> 
> However, I did uncover a problem in this patch and posted a fix to
> netdev.  I have also attached here.  Can you give it a try?

tried it and it's perfect !
all other tests I have are also working fine.

> If there is still no luck, do you have a chance to
> reproduce it with a simple setup by iproute2 commands?
> Can you specify which POINTTOPOINT device and sim device you are using?
> Are they in or out of kernel-tree driver?

indeed, it's an out-of-tree driver of LibOS patchset (*1)

https://github.com/libos-nuse/net-next-nuse/blob/nuse/arch/lib/lib-device.c

this is not always P2P device: an application (e.g., ns-3)
can define the flags of the device.

I'll follow up to reproduce with sit or gre and let you know
once I got succeed.

thank you.

-- Hajime